﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using San9.Resource.IO;

namespace San9.Resource.Message {
  [TestFixture]
  public class BranchMessageTest {
    [Test]
    public void Test() {
      ByteReader source = new ByteReader(new byte[] { 0x05, 0x05, 0x04, 0x02, 0x01, 0x039, 0x04, 0x3D, 0x031, 0x05, 0x05, 0x05, 0x05, 0x05, 0x05 });
      Message message = BranchMessage.Parse(source);
      Assert.AreEqual(message.Source, new byte[] { 0x05, 0x05, 0x04, 0x02, 0x01, 0x039, 0x04, 0x3D, 0x031, 0x05, 0x05, 0x05, 0x05, 0x05, 0x05 });
      Assert.AreEqual(true, source.AtEnd);
    }
  }
}
