﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using San9.Resource.IO;

namespace San9.Resource.Message {
  [TestFixture]
  public class NounTest {
    [Test]
    public void Test() {
      ByteReader source = new ByteReader(new byte[] { 0x02, 0x01, 0x039 });
      Noun noun = Noun.Parse(source);
      Assert.AreEqual("武将1.番号", noun.Text);
      Assert.AreEqual(new byte[] { 0x02, 0x01, 0x039 }, noun.Source);
      Assert.AreEqual(true, source.AtEnd);
    }
  }
}
