﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using San9.Resource.IO;

namespace San9.Resource.Message {
  [TestFixture]
  public class RandomMessageTest {
    [Test]
    public void Test() {
      ByteReader source = new ByteReader(new byte[] { 0x01, 0x53, 0x02, 0xCA, 0x25, 0x32, 0xB1, 0x05, 0x05, 0x05, 0xB2, 0x05, 0x05, 0x05 });
      Message message = RandomMessage.Parse(source);
      Assert.AreEqual(new byte[] { 0x01, 0x53, 0x02, 0xCA, 0x25, 0x32, 0xB1, 0x05, 0x05, 0x05, 0xB2, 0x05, 0x05, 0x05 }, message.Source);
      Assert.AreEqual(true, source.AtEnd);
    }
  }
}
