﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace San9.Resource.Compression {
  [TestFixture]
  public class Ls11Test {
    [Test]
    public void Test() {
      byte[] source;
      using (FileStream fs = new FileStream("Resource/Compression/Winter.jpg", FileMode.Open, FileAccess.Read)) {
        source = new byte[fs.Length];
        fs.Read(source, 0, source.Length);
      }
      byte[] encode = Ls11.Encode(source).ToArray();
      byte[] decode = Ls11.Decode(encode).ToArray();
      Assert.AreEqual(source, decode);
    }
  }
}
