﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace San9.Resource.IO {
  [TestFixture]
  public class BitWriterTest {
    [Test]
    public void Test() {
      BitWriter writer = new BitWriter(10);
      Assert.AreEqual(new byte[] { }, writer.Result.ToArray());
      writer.Append(true);
      Assert.AreEqual(new byte[] { 0x80 }, writer.Result.ToArray());
      writer.Append(false);
      Assert.AreEqual(new byte[] { 0x80 }, writer.Result.ToArray());
      writer.Append(true);
      Assert.AreEqual(new byte[] { 0xA0 }, writer.Result.ToArray());
      writer.Append(new bool[] { true, true, false, false, true});
      Assert.AreEqual(new byte[] { 0xB9 }, writer.Result.ToArray());
      writer.Append(false);
      Assert.AreEqual(new byte[] { 0xB9, 0x00 }, writer.Result.ToArray());
    }
  }
}
