﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using San9.Resource.IO;

namespace San9.Resource.Message {
  [TestFixture]
  public class NumberTest {
    [Test]
    public void Test() {
      ByteReader source = new ByteReader(new byte[] { 0x31, 0x32 });
      Number number = Number.Parse(source);
      Assert.AreEqual(12, number.Value);
      Assert.AreEqual(new byte[] { 0x31, 0x32 }, number.Source);
      Assert.AreEqual("12", number.Text);
      Assert.AreEqual(true, source.AtEnd);
    }
  }
}
