﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace San9.Resource.Utility {
  [TestFixture]
  public class BiDictionaryTest {
    [Test]
    public void Test() {
      BiDictionary<int, string> dict = new BiDictionary<int, string>();
      dict.Add(1, "a");
      dict.Add(2, "b");
      dict.Add("c", 3);
      dict.Add("d", 4);
      Assert.AreEqual("a", dict[1]);
      Assert.AreEqual("b", dict[2]);
      Assert.AreEqual("c", dict[3]);
      Assert.AreEqual("d", dict[4]);
      Assert.AreEqual(1, dict["a"]);
      Assert.AreEqual(2, dict["b"]);
      Assert.AreEqual(3, dict["c"]);
      Assert.AreEqual(4, dict["d"]);
    }
  }
}
