﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace San9.Resource.Utility {
  [TestFixture]
  public class BytesTest {
    [Test]
    public void Test() {
      Bytes x = new Bytes(1, 2, 3);
      Bytes y = new Bytes(1, 2, 3);
      Bytes z = new Bytes(1, 2);
      Assert.AreEqual(x, y);
      Assert.AreNotEqual(x, z);
      Assert.AreNotEqual(y, z);
      Assert.AreEqual(x.GetHashCode(), y.GetHashCode());
      Assert.AreNotEqual(x.GetHashCode(), z.GetHashCode());
      Assert.AreNotEqual(y.GetHashCode(), z.GetHashCode());
      Assert.AreEqual(new byte[] { 1, 2, 3 }, x.Source);
      Assert.AreEqual(new byte[] { 1, 2, 3 }, y.Source);
      Assert.AreEqual(new byte[] { 1, 2 }, z.Source);
    }
  }
}
